/***************************************************************************
 *   Copyright (C) 2004 by Emil Stoyanov                                   *
 *   emosto@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KIAXACCOUNT_H
#define KIAXACCOUNT_H

#include <qobject.h>
#include <qsettings.h>
#include <qptrvector.h>
#include <qstringlist.h>


class KiaxAccount : public QObject
{
Q_OBJECT
public:
    KiaxAccount(QString name);

    ~KiaxAccount();
    bool save();
    bool load();
    void remove();
    
public:
    QString accId;
    QString accAlias;
    QString accountName;
    QString iaxServer;
    QString username;
    QString password;
    QString callerId;
    QString callerIdNumber;
    QString codec;
    bool registerAccount;
    
    static int nextAcc;
    
private:
    QString accAliasKey;
    QString accName;
    QString accServer;
    QString accUsername;
    QString accPassword;
    QString accCallerId;
    QString accCallerIdNumber;
    QString accCodec;
    QString accRegisterAccount;
private:

    void setKeys(QSettings * settings);        
};

#endif
